Package helma.util

# Class InetAddressFilter

java.lang.Object
helma.util.InetAddressFilter

public class InetAddressFilter extends Object
A class for paranoid servers to filter IP addresses.

## Constructor Summary

Constructors
Constructor
Description
`InetAddressFilter()`
Creates a new InetAddressFilter object.

## Method Summary

Modifier and Type
Method
Description
`void`
`addAddress(String address)`
Addes an address template to the address filter.
`boolean`
`matches(InetAddress address)`
Check if the given address matches any of our patterns

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InetAddressFilter

public InetAddressFilter()
Creates a new InetAddressFilter object.

## Method Details

### addAddress

public void addAddress(String address) throws IOException
Addes an address template to the address filter.

Parameters:
  `address` - The string representation of the IP address, either version 4 or 6.
Throws:
  `IOException` - if the parameter does not represent a valid IP address

### matches

public boolean matches(InetAddress address)
Check if the given address matches any of our patterns

Parameters:
  `address` - the ip address to match
Returns:
  true if we find a match